Get Bags payout token
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/bags-payout/token \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/bags-payout/token"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/bags-payout/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api-v2.bags.fm/api/v1/bags-payout/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api-v2.bags.fm/api/v1/bags-payout/token"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api-v2.bags.fm/api/v1/bags-payout/token")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api-v2.bags.fm/api/v1/bags-payout/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"response": {
"tokenMint": "<string>",
"cashoutMethod": "venmo",
"cashoutMethodLabel": "Venmo",
"username": "<string>",
"status": "active",
"paysPayoutBot": true,
"stats": {
"totalClaimedLamports": "<string>",
"confirmedClaimCount": 123,
"totalBridgedLamports": "<string>",
"totalUsdcReceivedRaw": "<string>",
"totalUsdcPaidRaw": "<string>",
"totalFiatPaidCents": "<string>",
"payoutCount": 123,
"paidPayoutCount": 123,
"openPayoutCount": 123,
"lastClaimAt": "<string>",
"lastPayoutAt": "<string>",
"lastPaidAt": "<string>"
},
"pendingClaims": [
{
"cashoutMethod": "venmo",
"username": "<string>",
"isCurrentMapping": true,
"confirmedCount": 123,
"confirmedLamports": "<string>",
"inFlightCount": 123,
"underReviewCount": 123,
"oldestAt": "<string>",
"newestAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"success": false,
"response": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"response": "<string>"
}{
"success": false,
"response": "<string>"
}Bags Payout
Get Bags Payout Token
Get where a token’s creator fees are paid out: the payout handle, payout statistics and fees claimed but not yet in a payout. The response is null when the token has no payout handle.
Unknown query parameters are rejected.
GET
/
bags-payout
/
token
Get Bags payout token
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/bags-payout/token \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/bags-payout/token"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/bags-payout/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api-v2.bags.fm/api/v1/bags-payout/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api-v2.bags.fm/api/v1/bags-payout/token"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api-v2.bags.fm/api/v1/bags-payout/token")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api-v2.bags.fm/api/v1/bags-payout/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"response": {
"tokenMint": "<string>",
"cashoutMethod": "venmo",
"cashoutMethodLabel": "Venmo",
"username": "<string>",
"status": "active",
"paysPayoutBot": true,
"stats": {
"totalClaimedLamports": "<string>",
"confirmedClaimCount": 123,
"totalBridgedLamports": "<string>",
"totalUsdcReceivedRaw": "<string>",
"totalUsdcPaidRaw": "<string>",
"totalFiatPaidCents": "<string>",
"payoutCount": 123,
"paidPayoutCount": 123,
"openPayoutCount": 123,
"lastClaimAt": "<string>",
"lastPayoutAt": "<string>",
"lastPaidAt": "<string>"
},
"pendingClaims": [
{
"cashoutMethod": "venmo",
"username": "<string>",
"isCurrentMapping": true,
"confirmedCount": 123,
"confirmedLamports": "<string>",
"inFlightCount": 123,
"underReviewCount": 123,
"oldestAt": "<string>",
"newestAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"success": false,
"response": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"response": "<string>"
}{
"success": false,
"response": "<string>"
}Authorizations
API key authentication. Provide your API key as the header value.
Query Parameters
Token mint address
